package ru.yandex.autotests.direct.commander;

import ru.yandex.qatools.allure.Allure;

/**
 * Created by alexey-n on 10.12.14.
 */
public class AllureHelper {
    static String currentSuiteUid = "";
    private static Allure LIFECYCLE = Allure.LIFECYCLE;

    private static SuiteHelper suiteHelper = new SuiteHelper(LIFECYCLE);
    private static CaseHelper caseHelper = new CaseHelper(LIFECYCLE);
    private static StepHelper stepHelper = new StepHelper(LIFECYCLE);
    private static AttachmentHelper attachmentHelper = new AttachmentHelper(LIFECYCLE);

    public static SuiteHelper testSuite() {
        return suiteHelper;
    }

    public static CaseHelper testCase() {
        return caseHelper;
    }

    public static StepHelper step() {
        return stepHelper;
    }

    public static AttachmentHelper attach() {
        return attachmentHelper;
    }
}
